<template>
    <div>
        <div class="row ml-2">
            <router-link to="/suppliers" class="btn btn-primary">All Suppliers</router-link>
        </div>
        <div class="row justify-content-center">
            <div class="col-xl-10 col-lg-12 col-md-12">
                <div class="card shadow-sm my-5">
                    <div class="card-body p-0">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="login-form">
                                    <div class="text-center">
                                        <h1 class="h4 text-gray-900 mb-4">Supplier Update</h1>
                                    </div>
                                    <form class="create" @submit.prevent="supplierUpdate" enctype="multipart/form-data">
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control"
                                                           placeholder="Enter Your Full Name"
                                                           v-model="form.name">
                                                    <small class="text-danger" v-if="errors.name">{{
                                                            errors.name[0]
                                                        }}</small>
                                                </div>

                                                <div class="col-md-6">
                                                    <input type="text" class="form-control"
                                                           placeholder="Enter Your Email"
                                                           v-model="form.email">
                                                    <small class="text-danger" v-if="errors.email">{{
                                                            errors.email[0]
                                                        }}</small>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control"
                                                           placeholder="Enter Your Address"
                                                           v-model="form.address">
                                                    <small class="text-danger" v-if="errors.address">{{
                                                            errors.address[0]
                                                        }}</small>
                                                </div>

                                                <div class="col-md-6">
                                                    <input type="text" class="form-control"
                                                           placeholder="Enter Your Shop's Name"
                                                           v-model="form.shopname">
                                                    <small class="text-danger" v-if="errors.shopname">{{
                                                            errors.shopname[0]
                                                        }}</small>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control"
                                                           placeholder="Enter Your Phone Number"
                                                           v-model="form.phone">
                                                    <small class="text-danger" v-if="errors.phone">{{
                                                            errors.phone[0]
                                                        }}</small>
                                                </div>

                                                <div class="col-md-6">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <input type="file" class="custom-file-input" id="customFile"
                                                           @change="onFileSelected">
                                                    <label class="custom-file-label" for="customFile">Choose
                                                        file</label>
                                                    <small class="text-danger" v-if="errors.photo">{{
                                                            errors.photo[0]
                                                        }}</small>
                                                </div>

                                                <div class="col-md-6">
                                                    <img :src="form.photo" style="height: 40px; width: 40px;">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary btn-block">Update</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "edit",
    created() {
        if (!User.loggedIn()) {
            this.$router.push('/');
        }
        let id = this.$route.params.id
        axios.get('/api/supplier/'+id)
            .then(({data}) => (this.form = data))
            .catch(console.log('error'))
    },
    data() {
        return {
            form: {
                name: null,
                email: null,
                address: null,
                phone: null,
                shopname: null,
                photo: null,
                newphoto: null,
            },
            errors: {}
        }
    },
    methods: {
        supplierUpdate(){
            let id = this.$route.params.id
            axios.patch('/api/supplier/'+id,this.form)
                .then(() => {
                    this.$router.push({name: 'suppliers'})
                    Notification.success()
                })
                .catch(error =>this.errors = error.response.data.errors)
        },
        onFileSelected(event) {
            let file = event.target.files[0];
            if (file.size > 1048770) {
                NotificationHelper.image_validation()
            } else {
                let render = new FileReader();
                render.onload = event => {
                    this.form.newphoto = event.target.result
                };
                render.readAsDataURL(file);
            }
        }
    }
}
</script>

<style scoped>

</style>
